[openssl-commits] [tools] master update

Rich Salz rsalz at openssl.org
Thu Jun 15 13:38:53 UTC 2017


The branch master has been updated
       via  c524254ebfa2a527cd7d6b025bea0bee397af9d0 (commit)
      from  10879c3ff03bd05870080beafb80348245dd62f2 (commit)


- Log -----------------------------------------------------------------
commit c524254ebfa2a527cd7d6b025bea0bee397af9d0
Author: Rich Salz <rsalz at akamai.com>
Date:   Thu Jun 15 09:38:19 2017 -0400

    Add opensslpull
    
    A script to update a local repo:  pull down branches, rebase
    everything off master (except releases and things you explicitly
    mark as skip via a .skiplist file)

-----------------------------------------------------------------------

Summary of changes:
 review-tools/opensslpull | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)
 create mode 100755 review-tools/opensslpull

diff --git a/review-tools/opensslpull b/review-tools/opensslpull
new file mode 100755
index 0000000..3776a30
--- /dev/null
+++ b/review-tools/opensslpull
@@ -0,0 +1,31 @@
+#! /bin/bash
+# Script to fetch and rebase openssl branches
+
+test -f ./config || {
+    echo Not at top-level
+    exit 1
+}
+
+git checkout --quiet OpenSSL_1_0_2-stable ; git pull --rebase
+git checkout --quiet OpenSSL_1_1_0-stable ; git pull --rebase
+git checkout --quiet master
+git rebase -p origin/master
+
+for B in `git branch | fgrep -v '*'` ; do
+    case "$B" in
+    OpenSSL*-stable)
+        echo "        skipping $B"
+        ;;
+    *)
+        # If .skiplist exists and this branch is listed, don't rebase
+        if test -f .skiplist && grep -q "$B" .skiplist ; then
+            echo "        skipping $B"
+        else
+            git checkout --quiet $B
+            git rebase master || exit 1
+        fi
+        ;;
+    esac
+done
+
+git checkout --quiet master


More information about the openssl-commits mailing list